<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFunmenuTable extends Migration
{
    private $tableName = 'funmenu';

    public function up()
    {
        Schema::create($this->tableName, function (Blueprint $table) {
            $table->increments('id');
            $table->string('MenuName', 128);
            $table->unsignedTinyInteger('Valid');
            $table->integer('Corder');
            $table->unsignedTinyInteger('Oid'); // TODO: 不知道作用
            $table->string('icon', 128)->nullable();
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::drop($this->tableName);
    }
}
